Bug 882501 - [abrt] polkit-0.104-6.fc17: Process /usr/libexec/polkit-1/polkitd was killed by signal 11 (SIGSEGV)
[abrt] polkit-0.104-6.fc17: Process /usr/libexec/polkit-1/polkitd was killed ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
abrt_hash:1cd2ddcc926865af56e48a8322c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-01 09:24 EST by ernesto
Modified: 2013-05-10 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 12:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.14 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: environ (28 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: backtrace (19.36 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: smolt_data (2.78 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: cgroup (154 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: executable (29 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: maps (9.21 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: dso_list (1.79 KB, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: proc_pid_status (885 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: var_log_messages (1017 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
File: open_fds (445 bytes, text/plain)
2012-12-01 09:24 EST, ernesto
no flags Details
0001-Fix-crash-when-reading-config-file.patch (1.02 KB, patch)
2013-04-12 21:41 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description ernesto 2012-12-01 09:24:13 EST
Version-Release number of selected component:
polkit-0.104-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/libexec/polkit-1/polkitd --no-debug
crash_function: polkit_backend_config_source_ensure
kernel:         3.6.6-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 polkit_backend_config_source_ensure at polkitbackendconfigsource.c:375
: #1 polkit_backend_config_source_get_integer at polkitbackendconfigsource.c:446
: #2 polkit_backend_null_authority_register at polkitbackendnullauthority.c:126
: #3 g_io_module_load_module at giomodule.c:307
: #4 g_type_module_use at gtypemodule.c:256
: #5 g_io_modules_load_all_in_directory_with_scope at giomodule.c:589
: #6 g_io_modules_load_all_in_directory at giomodule.c:628
: #7 polkit_backend_authority_get at polkitbackendauthority.c:1314
: #8 on_bus_acquired at main.c:58
: #9 connection_get_cb at gdbusnameowning.c:480
Comment 1 ernesto 2012-12-01 09:24:17 EST
Created attachment 655548 [details]
File: core_backtrace
Comment 2 ernesto 2012-12-01 09:24:18 EST
Created attachment 655549 [details]
File: environ
Comment 3 ernesto 2012-12-01 09:24:20 EST
Created attachment 655550 [details]
File: limits
Comment 4 ernesto 2012-12-01 09:24:22 EST
Created attachment 655551 [details]
File: backtrace
Comment 5 ernesto 2012-12-01 09:24:23 EST
Created attachment 655552 [details]
File: smolt_data
Comment 6 ernesto 2012-12-01 09:24:25 EST
Created attachment 655553 [details]
File: cgroup
Comment 7 ernesto 2012-12-01 09:24:27 EST
Created attachment 655554 [details]
File: executable
Comment 8 ernesto 2012-12-01 09:24:28 EST
Created attachment 655555 [details]
File: maps
Comment 9 ernesto 2012-12-01 09:24:30 EST
Created attachment 655556 [details]
File: dso_list
Comment 10 ernesto 2012-12-01 09:24:32 EST
Created attachment 655557 [details]
File: proc_pid_status
Comment 11 ernesto 2012-12-01 09:24:34 EST
Created attachment 655558 [details]
File: var_log_messages
Comment 12 ernesto 2012-12-01 09:24:36 EST
Created attachment 655559 [details]
File: open_fds
Comment 13 Fedora Admin XMLRPC Client 2013-02-01 18:59:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Miloslav Trmač 2013-04-12 21:41:19 EDT
Created attachment 735078 [details]
0001-Fix-crash-when-reading-config-file.patch

Thanks for your report.

(The attached patch will probably fix it, needs to be to applied it to the resurrected pkla support in F>=19.

I'm not planning to make a F17 build only for this fix in the near term; as a workaround, ensuring that /etc/polkit-1/nullbackend.conf.d/50-nullbackend.conf as installed by the polkit package is readable and valid should help.
Comment 15 Miloslav Trmač 2013-05-10 12:40:17 EDT
Fixed in rawhide polkit-pkla-compat-0.1-2.fc20, will also appear in F19.

Note You need to log in before you can comment on or make changes to this bug.